<?php
session_start();
include "verifica.php";

?>
<script language="javascript">
//alert("okokokokoko.proceso");
</script>			
<?php


include("../conexion.php");

@$xid = $_REQUEST['xid'];
@$xaccion = $_REQUEST['xaccion'];
//@$xprc_codi = $_REQUEST['xprc_codi'];
@$xemp_codi = $_REQUEST['xemp_codi'];
@$xempcta_codi = $_REQUEST['xempcta_codi'];


@$xusuario_sesion=$_SESSION['nombre_usuario'];

$empcta = new Empresascuentas;

switch($xaccion){
	
	case "adicionar": 
		if($empcta->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_precios').src = "empresas_cuentas.php?xid=<?php echo $xid;?>";	
			       
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($empcta->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios en las cuentas han sido guardados.");
			//parent.location.href="../precios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($empcta->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Cuenta eliminada satisfactoriamente.")
			parent.parent.document.getElementById('frame_precios').src = "empresas_cuentas.php?xid=<?php echo $xid;?>";	
			</script>			
			<?php
			
		}		
		break;

}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Empresascuentas{

	//Adiciona nuevo precio
	function adicionar($conexion){
		global $xid, $xusuario_sesion;
						
		$xs_empresa = $_SESSION['s_empresa'];	
		$xfechahora = date('Y-m-d H:i:s');		
		
		$r=mysqli_query($conexion,"INSERT INTO empresas_cuentas_corrientes (empcta_banco, 
														empcta_nro_cuenta, 
														empcta_estado,
														emp_codi_fk,
														empcta_fechahora,
														empcta_usu_crea) 
												VALUES('', 
														'', 
														1,
														$xid,
														'$xfechahora',
														'$xusuario_sesion');");				
				
		if($r){		
			return 1;
		}	
				
	}	


	//Modifica un precio
	function modificar($conexion){
		global $xid, $xusuario_sesion;		
		
		$xs_empresa = $_SESSION['s_empresa'];			
		
		$result1=mysqli_query($conexion,"SELECT * FROM empresas_cuentas_corrientes e where emp_codi_fk = $xid;");
		
		while($row1=mysqli_fetch_array($result1)){
		
			$xempcta_codi = $row1['empcta_codi'];					
					
			@$chk = "chk_".$xempcta_codi;
			@$chk = $_REQUEST[$chk];
			if($chk!=1){ $chk=0; }	
			
			@$xbanco = "xbanco_".$xempcta_codi;
			@$xbanco = $_REQUEST[$xbanco];
		
			@$xcuenta = "xcuenta_".$xempcta_codi;
			@$xcuenta = $_REQUEST[$xcuenta];					
			
			//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
				
			$r=mysqli_query($conexion,"update empresas_cuentas_corrientes set empcta_banco = '$xbanco',
																empcta_nro_cuenta = '$xcuenta',
																empcta_estado='$chk',																
																empcta_usu_modifica='$xusuario_sesion'
															where empcta_codi = $xempcta_codi 
																AND emp_codi_fk = $xid;");
			
		}		
		
		if($r){		
			return 1;
		}	

	
	}	
	

	//Elimina un precio
	function eliminar($conexion){
		global $xid, $xprc_codi, $xempcta_codi;		

		$r = mysqli_query($conexion,"DELETE FROM empresas_cuentas_corrientes 
									WHERE empcta_codi = $xempcta_codi;");
		
		if($r){		
			return 1;
		}	
	}		



}








?>

